Impresoras compatibles con Endless 2018


#1

Necesito una impresora, pero no se que impresoras ACTUALES son compatibles con EndlessOS .Si alguien sabe que modelos funcionan correctamente, se agradeceria el consejo. Gracias!


#2

#3

que version del HPLIP funciona mejor con Endless?estoy tratando de instalar la HP Laserjet MFP M28w y, aunque reconoce la impresora, no encuentra los controladores y no consigo imprimir nada


#4

@wjt @ramcq Could help?


#5

Hola,

Desafortunadamente, como en otros sistemas basados en Linux, no es realmente posible proporcionar una lista de impresoras compatibles ya que el soporte varía considerablemente dependiendo del fabricante y el modelo. Sin embargo, si tuviese que recomendar (a título personal) una marca con probabilidades altas de funcionamiento sería HP, ya que proporcionan drivers open source que están soportados nativamente en Linux.

Para el caso concreto de tu HP Laserjet MFP M28w, veo en https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index que, en principio está soportada desde HPLIP 3.18.4 (sin necesidad de plug-ins ni nada), con lo cual debería funcionar en Endless siempre y cuando el sistema cuente con esa versión del sistema.

El tema es que ya unos meses que no trabajo en Endless y que ahora mismo no tengo un sistema a mano para comprobarlo, pero @wjt me confirma que la última versión de EOS (3.5.2) incluye HPLIP 3.18.7, con lo cual es posible que todo lo que necesites sea una actualización del OS (no hace mucho incluia HPLIP 3.16.x).

Así que la pregunta obvia es la siguiente: ¿qué version de EOS estás utilizando? (puedes mirarlo en el panel de control, en “Detalles” > “Acerca de”, creo. O si no desde la terminal ejecutando cat /etc/os-release)

Si estás en la última versión ya deberías tener HPLIP 3.18.7 (creo que puedes comprobarlo con dpkg -l | grep hplip desde la terminal), y entonces se trataría de un error en algún lado que habría que investigar, pero de no ser el caso te recomiendo actualizar y probar a reinstalar la impresora (eliminándola primero si ya la había intentado configurar antes) antes de nada por si acaso.

Suerte!
Mario


#6

Perdón, creo que la última versión es 3.5.3, y no 3.5.2 como mencioné ahí (thanks @wjt for the correction)


#7

gracias mario, de comprobar la version de EOS y tengo la version 3.3.15.Imagino que todo será actualizar el OS.Hay alguna forma de actualizarlo?en las actualizaciones disponibles no me aparece ninguna de OS


#8

Configuración :arrow_right: Detalles :arrow_right: Buscar actualizaciones ahora


Usted va a actualizar a Endless OS 3.3.19 repita el procedimiento para actualizar a Endless OS 3.5.3


#9

Como menciona @LeandroStanger, es posible que no puedas actualizar a 3.5.3 en un solo paso, quizás necesites actualizar primero a una versión intermedia.

Lo que ocurre es que también es posible que estés observando un bug (error) que se manifestó en algunas ocasiones en versiones antiguas (no consigo recordar si 3.3.15 estaba afectada) con lo cual sería muy útil si pudieses adjuntar en este foro un “fichero de diagnóstico” con la información de tu máquina (tranquilo, no contiene información privada).

Para ello, por favor sigue estos pasos:

  1. En el cuadro de búsqueda del escritorio escribe “Terminal” (sin las comillas) y abre la aplicación “Terminal”
  2. Se abrirá una ventana que te permite introducir “comandos” de texto. Escribe “eos-diagnostics” (sin las comillas) y pulsa ENTER
  3. Al cabo de unos segundos deberías ver un mensaje parecido a Gjs-Message: JS LOG: Saved to /home/mario/eos-diagnostic-190108103451_UTC+0100.txt, que quiere decir que el fichero se ha creado con éxito.
  4. Cierra la aplicacion Terminal y haz click en “Documentos” desde el icono del escritorio (o busca la aplicación primero)
  5. Deberías ver el fichero recien creado (ago así como eos-diagnostic-190108103451_UTC+0100.txt, pero con otro nombre)
  6. Por último, responde a este mensaje adjuntando ese fichero

Como digo, ya no trabajo en Endless pero esta información será muy útil para que puedan ayudarte en caso de que tengas problemas para actualizar (yo sé que hay una solución pero no me atrevo a sugerirte nada sin estar seguro).

Suerte de nuevo!
Mario


#10

Tal como comentas debe haber algun bug, ya que por mucho que actualice, sigo en la misma versió del OS.Tal como comentas hice el eos-diagnostic desde el terminal y genera el siguiente archivo
eos-diagnostic-190108_140854_UTC 0100.txt (354,6 KB)


#11

Gracias por el diagnóstico.

Acabo de hablar con @ramcq y @wjt y me confirman que el error es el mismo que el reportado en Unable to update/install anything, con lo cual la solución debería ser esta:

  1. En una terminal escribe lo siguiente y luego pulsa enter (te pedirá tu contraseña de usuario, la cual no se visualizará mientras la escribes):
sudo grub-editenv - create
  1. Reinicia la máquina y vuelve a mirar la versión del OS: deberías estar en una más moderna (por ejemplo, 3.3.19).

  2. Intenta actualizar el OS de nuevo ahora (no recuerdo si es desde el panel de configuración, en “Detalles”, o desde el “Centro de Aplicaciones”).

  3. Después de un proceso que llevará un cierto tiempo, deberías estar en EOS 3.5

Espero que te sirva de ayuda.
Mario


#12

Muchas gracias, ahora funciona perfectamente!


#13

Que bueno, me alegro un montón de haber sido de ayuda! :slight_smile:

Mario


closed #14